Mediawiki: How to require login to edit?

Mediawiki 1.11.

I need to require users to login to edit.

How is that done?

Thanks.
gateguardAsked:
Who is Participating?
 
frindoCommented:
Open your LocalSettings.php file and change

$wgWhitelistEdit = false;

to

$wgWhitelistEdit = true;
0
 
frindoCommented:
@gamebits, That solution only works for version 1.5, gateguard is using version 1.11.
0
Get your problem seen by more experts

Be seen. Boost your question’s priority for more expert views and faster solutions

 
gamebitsCommented:
Where is the 1.5 version, the site list the 1.11. as beeing the current version

Current Versions
1.11.0 · 2007-09-10

0
 
frindoCommented:
@gamebits

It must be a future release. See this link and look at the version in which it was introduced.

http://www.mediawiki.org/wiki/Manual:%24wgGroupPermissions
0
 
frindoCommented:
Oh wait, my mistake. Discard my solution and use gamebit's answer instead. 1.11 is in fact greater than 1.5.

I hate when they don't move to a 2.0 release and instead continue to increment numbers.
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

All Courses

From novice to tech pro — start learning today.